%define upstream_name Crypt_RC4
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.3
Release:     	%mkrel 9
Summary:    	Encryption class for RC4 encryption
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Crypt_RC4-%{version}.tgz
URL: 		http://pear.php.net/package/Crypt_RC4
BuildRequires: 	php-pear >= 1.4.7
Obsoletes:	php-pear-Crypt_Rc4 <= 1.0.2
BuildArch: noarch

%description
RC4 encryption class

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Crypt_RC4.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Crypt_RC4.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Crypt_RC4
fi

%files
%{peardir}/*
%{xmldir}/Crypt_RC4.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-9.mga8
+ Revision: 1498706
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.3-8.mga7
+ Revision: 1273103
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.3-7.mga6
+ Revision: 944802
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-6.mga5
+ Revision: 742768
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-5.mga5
+ Revision: 687202
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-4.mga4
+ Revision: 516579
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 375956
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 spuhler <spuhler> 1.0.3-2.mga3
+ Revision: 275976
- added <= 1.0.2 to Obsoletes: php-pear-Crypt_Rc4 to help update

* Mon Jan 23 2012 spuhler <spuhler> 1.0.3-1.mga3
+ Revision: 200114
- imported package php-pear-Crypt_RC4

